Notices


Reply
Thread Tools
Posts: 5 | Thanked: 2 times | Joined on Feb 2009
#1
Hi ,
Could anyone tell me what are the softwares I need to install in order to develop Qt applications and try them on Maemo platform.I haven't got Maemo installed in my PC but have Qt 4.4.3 installed.

Do I have to install ALL of the following scratchbox packages---
-----------------------------------------------------------------------------

Base (required):
-------------------

* scratchbox-core - environment, common tools and host compiler
* scratchbox-libs - libraries required by core, devkits and toolchains

Development kits (optional):
---------------------------------

* scratchbox-devkit-debian - environment and tools for Debian development

* scratchbox-devkit-doctools - document generation tools

* scratchbox-devkit-perl - additional Perl modules

Toolchains (optional):
--------------------------

* scratchbox-toolchain-arm-gcc3.3-glibc2.3
* scratchbox-toolchain-i686-gcc3.3-glibc2.3
* scratchbox-toolchain-arm-gcc3.2-uclibc20040229
* scratchbox-toolchain-i386-gcc3.2-uclibc20040229

----------------------------------------------------------------------------------

Or,is there a different installation package for Qt/Maemo????

Please advice.I am a newbie to Maemo.
Thanks in advance.
 

The Following User Says Thank You to rishiraj For This Useful Post:
Posts: 35 | Thanked: 246 times | Joined on Feb 2009
#2
Originally Posted by rishiraj View Post
Hi ,
Could anyone tell me what are the softwares I need to install in order to develop Qt applications and try them on Maemo platform.I haven't got Maemo installed in my PC but have Qt 4.4.3 installed.

Do I have to install ALL of the following scratchbox packages---
Yes, you need to install complete maemo SDK to develop
applications for internet tablets runnin maemo including Qt applications.

Remember that maemo SDK is cross compiling system
and it needs all tools to compile for ARM processor and also Qt need
to be compiled for ARM/maemo

Or,is there a different installation package for Qt/Maemo????

Please advice.I am a newbie to Maemo.
Thanks in advance.
Yes, you can find maemo Qt t from http://qt4.garage.maemo.org

Kate
 

The Following User Says Thank You to kate For This Useful Post:
Posts: 3,319 | Thanked: 5,609 times | Joined on Aug 2008 @ Finland
#3
Originally Posted by rishiraj View Post
Or,is there a different installation package for Qt/Maemo????
You didn't specify what language you want to use Qt with. If it's regular C/C++ see Kate's post, if you want Python (via PyQT) you don't need anything special, just install pyqt and the binary qt libs both on your PC and the maemo device and you're good to, no cross-compilation required.
 

The Following User Says Thank You to attila77 For This Useful Post:
Posts: 5 | Thanked: 2 times | Joined on Feb 2009
#4
Hi,
thanks for the replies and the links.
I am using C++ with Qt.
I will go ovr the links and give the installation a shot.Thanks once more for your advice.
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 16:16.